import { ProgramDerivedAddress } from '@solana/web3.js';
import { TokenStandard } from '@tensor-foundation/mpl-token-metadata';
import { ResolvedAccount } from '../generated/shared';
type ArgsAny = {
    [key: string]: unknown;
};
export declare const resolveTakerAta: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolvePoolIdOnCreate: (_: ArgsAny) => Uint8Array;
export declare const resolveFeeVaultPdaFromPool: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolvePoolAssetReceipt: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveTakerTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveUserTokenRecordFromTokenStandard: ({ accounts, args, }: {
    accounts: Record<string, ResolvedAccount>;
    args: {
        tokenStandard?: TokenStandard | undefined;
    };
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export declare const resolveEdition: ({ accounts, }: {
    accounts: Record<string, ResolvedAccount>;
}) => Promise<Partial<{
    value: ProgramDerivedAddress | null;
}>>;
export {};
//# sourceMappingURL=resolvers.d.ts.map